## org.w3c.dom.svg
Interface SVGFEConvolveMatrixElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFEConvolveMatrixElement

public interface SVGFEConvolveMatrixElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` `SVG_EDGEMODE_DUPLICATE`
`static short` `SVG_EDGEMODE_NONE`
`static short` `SVG_EDGEMODE_UNKNOWN`
`static short` `SVG_EDGEMODE_WRAP`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` `getBias()`
`SVGAnimatedNumber` `getDivisor()`
`SVGAnimatedEnumeration` `getEdgeMode()`
`SVGAnimatedNumberList` `getKernelMatrix()`
`SVGAnimatedLength` `getKernelUnitLengthX()`
`SVGAnimatedLength` `getKernelUnitLengthY()`
`SVGAnimatedInteger` `getOrderX()`
`SVGAnimatedInteger` `getOrderY()`
`SVGAnimatedBoolean` `getPreserveAlpha()`
`SVGAnimatedInteger` `getTargetX()`
`SVGAnimatedInteger` `getTargetY()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_EDGEMODE_UNKNOWN

    public static final short SVG_EDGEMODE_UNKNOWN

See Also:
  Constant Field Values

### SVG_EDGEMODE_DUPLICATE

    public static final short SVG_EDGEMODE_DUPLICATE

See Also:
  Constant Field Values

### SVG_EDGEMODE_WRAP

    public static final short SVG_EDGEMODE_WRAP

See Also:
  Constant Field Values

### SVG_EDGEMODE_NONE

    public static final short SVG_EDGEMODE_NONE

See Also:
  Constant Field Values

Method Detail

### getOrderX

    public SVGAnimatedInteger getOrderX()

### getOrderY

    public SVGAnimatedInteger getOrderY()

### getKernelMatrix

    public SVGAnimatedNumberList getKernelMatrix()

### getDivisor

    public SVGAnimatedNumber getDivisor()

### getBias

    public SVGAnimatedNumber getBias()

### getTargetX

    public SVGAnimatedInteger getTargetX()

### getTargetY

    public SVGAnimatedInteger getTargetY()

### getEdgeMode

    public SVGAnimatedEnumeration getEdgeMode()

### getKernelUnitLengthX

    public SVGAnimatedLength getKernelUnitLengthX()

### getKernelUnitLengthY

    public SVGAnimatedLength getKernelUnitLengthY()

### getPreserveAlpha

    public SVGAnimatedBoolean getPreserveAlpha()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.